=== debian/changelog ===
rehex (0.62.0-0~ubuntu2004) focal; urgency=low

  * Add bit array data type (#167).

  * Allow selecting and setting comments/highlights/types on
    bit-sized/aligned quantities, not just byte-aligned (#155).

  * Allow defining arbitrary integer types, up to 64 bits wide (#215).

  * Allow colouring data by byte value (#223).

  * Allow changing/defining custom highlight colours and assigning
    labels to them (#227).

  * Use dimmer highlight colours for dark colour schemes (#227).

  * Save highlight colours/labels per-file (#60).

  * Allow changing keyboard shortcuts (#226).

  * Add Shift+Enter shortcut for "OK" in the comment dialog (#226).

  * Display offset in both decimal and hexadecimal in status bar (#228).

  * Fix handling of relative paths specified on the command line when
    opening in an existing instance (#237).

  * Allow navigating hex data by nibbles rather than bytes (#58).

 -- Daniel Collins <solemnwarning@solemnwarning.net>  Sat, 20 Jul 2024 18:40:00 +0100

rehex (0.61.1-0~ubuntu2004) focal; urgency=low

  * Compare data from correct file offsets when "Collapse matches" option is
    enabled in compare window (#224).

 -- Daniel Collins <solemnwarning@solemnwarning.net>  Wed, 13 Mar 2024 18:13:45 +0000

rehex (0.61.0-0~ubuntu2004) focal; urgency=low

  * Permit trailing commas in template enum definitions (#216).

  * Add overwrite/insert toggle to "Fill range" dialog (#213).

  * Add copy/export context menu commands to strings tool (#210).

  * Fix temporary hang in strings tool when processing large files (#217).

  * Fix settings not being saved during application exit.

  * Batch comments panel updates to improve responsiveness (#205).

  * Add search field to comments panel (#204).

  * Add bit editor tool.

  * Add checksum tool (#219).

  * Add options to search for floating point values.

  * Don't reload files modified externally when requested not to.

  * Start search when Enter is pressed in search dialog input field, or search
    backwards when Shift+Enter is pressed.

  * Add "Reload automatically" toggle to "File" menu to automatically reload
    the file when modified externally (and not in the editor) (#222).

  * Preserve scroll position when reloading file.

 -- Daniel Collins <solemnwarning@solemnwarning.net>  Wed, 14 Feb 2024 21:27:50 +0000

rehex (0.60.1-0~ubuntu2004) focal; urgency=low

  * Install missing parts of binary template plugin.

 -- Daniel Collins <solemnwarning@solemnwarning.net>  Fri, 28 Jul 2023 20:41:31 +0100

rehex (0.60.0-0~ubuntu2004) focal; urgency=low

  * Add data histogram tool (#140).

  * Use virtual offsets in "Select range" dialog.

  * Don't re-open files to save when there are no changes (#193).

  * Remember recently selected templates (#183).

  * Fix crash when running rehex for the first time on some systems (#194).

  * Correctly draw insert cursor over highlighted data and at the end of the
    file (#196).

  * Fix true/false not being usable inside template functions/structs (#197).

  * Expose current array index as ArrayIndex when expanding arrays of structs
    in templates (#191).

  * Implement lexical variable scoping in templates and allow functions to
    access global variables defined above them (#190).

  * Add <charset = "XXX"> syntax to templates (#184).

  * Add character set option to text search (#182, #200).

  * Add "Delete comment and children" context menu command to delete a comment
    and any comments encapsulated by it (#198).

  * Add "Apply template from cursor" option to binary template tool.

  * Fix cases where the strings tool would appear to run forever with an empty
    file.

  * Remove strings from the strings panel when they are deleted from the file.

  * Add new ReadString(), SPrintf(), SetComment(), StringLengthBytes(),
    ArrayPush(), ArrayPop() and OffsetOf() template function.

  * Fix repeated execution of the same switch() block in a template (#202).

  * Monitor for open files being externally modified and allow reloading (#124).

  * Add 'private' variables to template language.

  * Fix template format strings that expand to further format tokens.

  * Fix template error when converting a float to an int.

  * Improve performance when large numbers of comments are defined.

  * Open original file when passed a rehex-meta file on the command line (#207).

  * Add IBM codepage 866 and Windows-1251 (#208).

  * Fix crash when attempting to open a directory/bundle on macOS.
 -- Daniel Collins <solemnwarning@solemnwarning.net>  Fri, 28 Jul 2023 19:50:45 +0100

rehex (0.5.4-0~ubuntu2004) focal; urgency=low

  * Allow passing arguments to structs created via ArrayResize() and
    ArrayExtend() template functions.

  * Fix parsing of whitespace in template array dereference (#175).

  * Display offsets in comments panel (#165).

  * Don't show expand arrows next to comments without children in comments
    panel on Windows/macOS.

  * Improve performance of templates that declare many (thousands+) of
    variables in the file.

  * Add Error() function for templates (#186).

  * Fix crash when attempting to use string as a file variable in
    templates (#185).

  * [Pavel Martens] Add plugin for annotating pcap files.

 -- Daniel Collins <solemnwarning@solemnwarning.net>  Sun, 23 Oct 2022 22:52:12 +0100

rehex (0.5.3-0~ubuntu2004) focal; urgency=low

  * Correctly nest comments when updating comments panel (#169).

  * Update text in comments panel when a comment is modified.

  * Fix display of >4GiB virtual offsets in files that are <=4GiB (#170).

  * Add support for code page 437 (IBM) and 932/936/949/950 (Microsoft).

  * Fix handling of multibyte character boundaries in document view.

  * Draw wide characters in document view (#173).

  * Move forwards/backwards and select whole instructions from disassembly
    in document view.

  * Don't capture tab key press in text area of document view.

  * Add missing error checks.


