=== debian/control ===
Source: rehex
Priority: extra
Maintainer: Daniel Collins <solemnwarning@solemnwarning.net>
Build-Depends:
 debhelper (>= 9),
 libbotan-2-dev,
 libcapstone-dev,
 libgtk-3-dev,
 libjansson-dev,
 libwxgtk3.0-gtk3-dev,
 liblua5.3-dev,
 libtemplate-perl,
 libunistring-dev,
 lua-busted,
 lua5.3,
 pkg-config,
 xauth,
 xvfb,
 wx3.0-headers,
 zip,
 zlib1g-dev
Standards-Version: 3.9.4
Section: editors
Homepage: https://github.com/solemnwarning/rehex/

Package: rehex
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 libbotan-2-12,
 libcapstone3,
 libjansson4,
 libwxgtk3.0-gtk3-0v5,
 liblua5.3-0,
 libunistring2,
 zlib1g
Description: Reverse Engineers' Hex Editor
