## rehex 0.63.2

=== Makefile ===
--- 
+++ 
@@ -14,13 +14,20 @@
 # this program; if not, write to the Free Software Foundation, Inc., 51
 # Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 
+# Returns the first of $(1) or $(2) which is defined in the pkg-config
+# database, or errors if neither are.
+pkg-select-ab = $\
+	$(if $(filter yes,$(shell pkg-config --exists $(1) && echo yes)),$(1),$\
+		$(if $(filter yes,$(shell pkg-config --exists $(2) && echo yes)),$(2),$\
+			$(error Could not find $(1) or $(2) using pkg-config)))
+
 LUA          ?= lua
 WX_CONFIG    ?= wx-config
-BOTAN_PKG    ?= botan-2
+BOTAN_PKG    ?= $(call pkg-select-ab,botan-3,botan-2)
 CAPSTONE_PKG ?= capstone
 JANSSON_PKG  ?= jansson
-LUA_PKG      ?= $(shell pkg-config --exists lua5.3 && echo lua5.3 || echo lua)
-CXXSTD       ?= -std=c++11
+LUA_PKG      ?= $(call pkg-select-ab,lua5.3,lua)
+JQ           ?= jq
 
 EXE ?= rehex
 EMBED_EXE ?= ./tools/embed
@@ -82,6 +89,12 @@
 	
 	GTK_CFLAGS = $$($(GTKCONFIG_EXE) --cflags)
 	GTK_LIBS   = $$($(GTKCONFIG_EXE) --libs)
+	
+	ifeq ($(BOTAN_PKG),botan-3)
+		CXXSTD ?= -std=c++20
+	else
+		CXXSTD ?= -std=c++11
+	endif
 endif
 
 BASE_CFLAGS := -Wall
@@ -108,9 +121,9 @@
 	endif
 endif
 
-CFLAGS          := $(BASE_CFLAGS) -std=c99   -I. -Iinclude/ -IwxLua/modules/ -IwxFreeChart/include/                       -DREHEX_CACHE_CHARACTER_BITMAPS $(HELP_CFLAGS) $(BOTAN_CFLAGS) $(CAPSTONE_CFLAGS) $(JANSSON_CFLAGS) $(LUA_CFLAGS) $(CFLAGS)
-CXXFLAGS_NO_GTK := $(BASE_CFLAGS) $(CXXSTD) -I. -Iinclude/ -IwxLua/modules/ -IwxFreeChart/include/ -DwxOVERRIDE=override -DREHEX_CACHE_CHARACTER_BITMAPS $(HELP_CFLAGS) $(BOTAN_CFLAGS) $(CAPSTONE_CFLAGS) $(JANSSON_CFLAGS) $(LUA_CFLAGS) $(WX_CXXFLAGS) $(CXXFLAGS)
-CXXFLAGS        := $(BASE_CFLAGS) $(CXXSTD) -I. -Iinclude/ -IwxLua/modules/ -IwxFreeChart/include/ -DwxOVERRIDE=override -DREHEX_CACHE_CHARACTER_BITMAPS $(HELP_CFLAGS) $(BOTAN_CFLAGS) $(CAPSTONE_CFLAGS) $(JANSSON_CFLAGS) $(LUA_CFLAGS) $(WX_CXXFLAGS) $(GTK_CFLAGS) $(CXXFLAGS)
+CFLAGS          := $(BASE_CFLAGS) -std=c99   -I. -Iinclude/ -IwxLua/modules/ -IwxFreeChart/include/                       $(HELP_CFLAGS) $(BOTAN_CFLAGS) $(CAPSTONE_CFLAGS) $(JANSSON_CFLAGS) $(LUA_CFLAGS) $(CFLAGS)
+CXXFLAGS_NO_GTK := $(BASE_CFLAGS) $(CXXSTD) -I. -Iinclude/ -IwxLua/modules/ -IwxFreeChart/include/ -DwxOVERRIDE=override  $(HELP_CFLAGS) $(BOTAN_CFLAGS) $(CAPSTONE_CFLAGS) $(JANSSON_CFLAGS) $(LUA_CFLAGS) $(WX_CXXFLAGS) $(CXXFLAGS)
+CXXFLAGS        := $(BASE_CFLAGS) $(CXXSTD) -I. -Iinclude/ -IwxLua/modules/ -IwxFreeChart/include/ -DwxOVERRIDE=override  $(HELP_CFLAGS) $(BOTAN_CFLAGS) $(CAPSTONE_CFLAGS) $(JANSSON_CFLAGS) $(LUA_CFLAGS) $(WX_CXXFLAGS) $(GTK_CFLAGS) $(CXXFLAGS)
 
 uname_S := $(shell uname -s 2>/dev/null)
 ifeq ($(uname_S),FreeBSD)
@@ -123,7 +136,9 @@
 LDLIBS := -lunistring $(WX_LIBS) $(GTK_LIBS) $(BOTAN_LIBS) $(CAPSTONE_LIBS) $(JANSSON_LIBS) $(LUA_LIBS) $(LDLIBS)
 
 # Define this for releases
-VERSION := 0.62.0
+# NOTE: This *MUST* be of the form a.b.c where each component is an integer to fit the format of
+# macOS version numbers and Windows version info resources.
+VERSION := 0.63.2
 
 ifdef VERSION
 	LONG_VERSION := Version $(VERSION)
@@ -139,8 +154,8 @@
 	
 	GIT_COMMIT_TIME ?= $(call shell-or-die,git log -1 --format="%ct")
 	
-	VERSION      := 513172506f17f58a4a56045873bcc043eede2a98
-	LONG_VERSION := Snapshot 513172506f17f58a4a56045873bcc043eede2a98
+	VERSION      := 8ea16a9885236f50554b619002807a7c941630a1
+	LONG_VERSION := Snapshot 8ea16a9885236f50554b619002807a7c941630a1
 endif
 
 DEPDIR := .d
@@ -178,6 +193,10 @@
 	      res/diff_fold24.c res/diff_fold24.h \
 	      res/diff_fold32.c res/diff_fold32.h \
 	      res/diff_fold48.c res/diff_fold48.h \
+	      res/dock_bottom.c res/dock_bottom.h \
+	      res/dock_left.c   res/dock_left.h \
+	      res/dock_right.c  res/dock_right.h \
+	      res/dock_top.c    res/dock_top.h \
 	      res/icon16.c    res/icon16.h \
 	      res/icon32.c    res/icon32.h \
 	      res/icon48.c    res/icon48.h \
@@ -283,17 +302,3 @@
 	wxFreeChart/src/gantt/ganttdataset.$(BUILD_TYPE).o \
 	wxFreeChart/src/gantt/ganttplot.$(BUILD_TYPE).o \
 	wxFreeChart/src/gantt/ganttrenderer.$(BUILD_TYPE).o \
-	wxFreeChart/src/gantt/ganttsimpledataset.$(BUILD_TYPE).o \
-	wxFreeChart/src/legend.$(BUILD_TYPE).o \
-	wxFreeChart/src/marker.$(BUILD_TYPE).o \
-	wxFreeChart/src/multiplot.$(BUILD_TYPE).o \
-	wxFreeChart/src/ohlc/movingaverage.$(BUILD_TYPE).o \
-	wxFreeChart/src/ohlc/ohlcbarrenderer.$(BUILD_TYPE).o \
-	wxFreeChart/src/ohlc/ohlccandlestickrenderer.$(BUILD_TYPE).o \
-	wxFreeChart/src/ohlc/ohlcdataset.$(BUILD_TYPE).o \
-	wxFreeChart/src/ohlc/ohlcplot.$(BUILD_TYPE).o \
-	wxFreeChart/src/ohlc/ohlcrenderer.$(BUILD_TYPE).o \
-	wxFreeChart/src/ohlc/ohlcsimpledataset.$(BUILD_TYPE).o \
-	wxFreeChart/src/pie/pieplot.$(BUILD_TYPE).o \
-	wxFreeChart/src/plot.$(BUILD_TYPE).o \
-	wxFreeChart/src/renderer.$(BUILD_TYPE).o \
