=== debian/control ===
--- 
+++ 
@@ -7,10 +7,10 @@
  libcapstone-dev,
  libgtk-3-dev,
  libjansson-dev,
- libwxgtk3.0-gtk3-dev,
  liblua5.3-dev,
  libtemplate-perl,
  libunistring-dev,
+ libwxgtk3.0-gtk3-dev,
  lua-busted,
  lua5.3,
  pkg-config,
@@ -28,11 +28,11 @@
 Depends:
  ${shlibs:Depends},
  ${misc:Depends},
- libbotan-2-12,
- libcapstone3,
+ libbotan-2-17,
+ libcapstone4,
  libjansson4,
- libwxgtk3.0-gtk3-0v5,
  liblua5.3-0,
  libunistring2,
+ libwxgtk3.0-gtk3-0v5,
  zlib1g
 Description: Reverse Engineers' Hex Editor
