## rehex 0.63.3

=== Makefile ===
--- 
+++ 
@@ -138,7 +138,7 @@
 # Define this for releases
 # NOTE: This *MUST* be of the form a.b.c where each component is an integer to fit the format of
 # macOS version numbers and Windows version info resources.
-VERSION := 0.63.2
+VERSION := 0.63.3
 
 ifdef VERSION
 	LONG_VERSION := Version $(VERSION)
@@ -154,8 +154,8 @@
 	
 	GIT_COMMIT_TIME ?= $(call shell-or-die,git log -1 --format="%ct")
 	
-	VERSION      := 8ea16a9885236f50554b619002807a7c941630a1
-	LONG_VERSION := Snapshot 8ea16a9885236f50554b619002807a7c941630a1
+	VERSION      := e317aae0272534a4631143819631a5cf7c1ee87d
+	LONG_VERSION := Snapshot e317aae0272534a4631143819631a5cf7c1ee87d
 endif
 
 DEPDIR := .d
