=== debian/changelog ===
rehex (0.63.3-0~debian13) trixie; urgency=low

  * Add option to change bitmap visualisation image background to a
    chosen colour (#258).

  * Copy and save full-size image with alpha channel from bitmap
    visualisation instead of the preview image.

  * Add light icons for use with dark themes to bitmap visualisation and
    histogram views (#262).

  * Add search history to text search dialog (#260).

  * Work around crash with large bitmap previews on Linux (#263).

  * Improve performance of bitmap visualisation.

  * Added missing MOS6502 and Motorola 6800/68k disassembly support for
    x86 Windows (#264).

  * Added RISC-V and WASM disassembly support (where supported by host
    Capstone library).

  * Implement tool panel detaching/docking under Wayland (#252).

  * Update detached tool window title when tab is changed.

 -- Daniel Collins <solemnwarning@solemnwarning.net>  Mon, 08 Sep 2025 21:47:28 +0100

rehex (0.63.2-0~debian13) trixie; urgency=low

  * Add missing file required for binary template support.

 -- Daniel Collins <solemnwarning@solemnwarning.net>  Tue, 26 Aug 2025 22:09:29 +0100

rehex (0.63.1-0~debian12) bookworm; urgency=low

  * Improve performance of templates that declare large numbers of file
    variables.

  * Fix selecting the byte range encapsulated by a comment (#255).

  * Add "Jump to end" command to comments panel context menu (#254).

  * Improve rendering performance and UI responsiveness, particularly
    when a large number of colours are in use (#257).

  * Fix searching within a range.

  * Default to selection when a range is selected prior to opening
    search dialog (#256).

 -- Daniel Collins <solemnwarning@solemnwarning.net>  Sun, 13 Jul 2025 15:22:01 +0100

rehex (0.63.0-0~debian12) bookworm; urgency=low

  * Add non-modal "Jump to offset" dialog option (#242).

  * Add "Repeat last 'Jump to offset'" command (#242).

  * Add "Visual Scrollbar" for high-level overview of file contents.

  * Add "Data visualisation" tool for overfiew of file/selection
    contents (#230).

  * Add metadata import/export commands (#248).

  * Fix crash when <charset = "US-ASCII"> is specified for a file variable
    in a template (#246).

  * Add highlight functions to scripting API and template language (#247).

  * Fix memory leaks in bitmap preview tool and metadata serialisation.

  * Suspend scanning for strings when the strings tool is hidden.

  * Fix the continue/reset buttons in the strings tool not working
    correctly.

  * Fix horizontal scroll position being set out-of-range when the window is
    resized in some situations.

  * Fix bitmap preview tool not following cursor correctly (#244).

  * Allow detaching tool panels to floating windows or docking them to any
    side of the main window (#229).

  * Reduce unnecessary padding in decimal offsets (#235).

  * Fix range selection input for checksum/histogram on macOS.

  * Fix selection being prematurely initiated when the mouse is clicked
    over file data.

 -- Daniel Collins <solemnwarning@solemnwarning.net>  Thu, 12 Jun 2025 11:47:36 +0100

rehex (0.62.0-0~debian12) bookworm; urgency=low

  * Add bit array data type (#167).

  * Allow selecting and setting comments/highlights/types on
    bit-sized/aligned quantities, not just byte-aligned (#155).

  * Allow defining arbitrary integer types, up to 64 bits wide (#215).

  * Allow colouring data by byte value (#223).

  * Allow changing/defining custom highlight colours and assigning
    labels to them (#227).

  * Use dimmer highlight colours for dark colour schemes (#227).

  * Save highlight colours/labels per-file (#60).

  * Allow changing keyboard shortcuts (#226).

  * Add Shift+Enter shortcut for "OK" in the comment dialog (#226).

  * Display offset in both decimal and hexadecimal in status bar (#228).

  * Fix handling of relative paths specified on the command line when
    opening in an existing instance (#237).

  * Allow navigating hex data by nibbles rather than bytes (#58).

 -- Daniel Collins <solemnwarning@solemnwarning.net>  Sat, 20 Jul 2024 18:39:59 +0100

rehex (0.61.1-0~debian12) bookworm; urgency=low

  * Compare data from correct file offsets when "Collapse matches" option is
    enabled in compare window (#224).

 -- Daniel Collins <solemnwarning@solemnwarning.net>  Wed, 13 Mar 2024 18:13:44 +0000

rehex (0.61.0-0~debian12) bookworm; urgency=low

  * Permit trailing commas in template enum definitions (#216).

  * Add overwrite/insert toggle to "Fill range" dialog (#213).

  * Add copy/export context menu commands to strings tool (#210).

  * Fix temporary hang in strings tool when processing large files (#217).

  * Fix settings not being saved during application exit.

  * Batch comments panel updates to improve responsiveness (#205).

  * Add search field to comments panel (#204).

  * Add bit editor tool.

  * Add checksum tool (#219).

  * Add options to search for floating point values.

  * Don't reload files modified externally when requested not to.

  * Start search when Enter is pressed in search dialog input field, or search
    backwards when Shift+Enter is pressed.

  * Add "Reload automatically" toggle to "File" menu to automatically reload
    the file when modified externally (and not in the editor) (#222).

  * Preserve scroll position when reloading file.

 -- Daniel Collins <solemnwarning@solemnwarning.net>  Wed, 14 Feb 2024 21:27:50 +0000

rehex (0.60.1-0~debian12) bookworm; urgency=low

  * Install missing parts of binary template plugin.

 -- Daniel Collins <solemnwarning@solemnwarning.net>  Fri, 28 Jul 2023 20:41:22 +0100

rehex (0.60.0-0~debian12) bookworm; urgency=low

  * Add data histogram tool (#140).

  * Use virtual offsets in "Select range" dialog.

  * Don't re-open files to save when there are no changes (#193).

  * Remember recently selected templates (#183).

  * Fix crash when running rehex for the first time on some systems (#194).


